Change log for libsecret package in Ubuntu

138 of 38 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2019-03-16
Deleted in disco-proposed (Reason: moved to release)
libsecret (0.18.8-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum libglib2.0-dev to 2.44.0

 -- Jeremy Bicha <email address hidden>  Sat, 16 Mar 2019 08:55:40 -0400

Available diffs

Superseded in disco-release on 2019-03-16
Deleted in disco-proposed on 2019-03-18 (Reason: moved to release)
libsecret (0.18.7-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete Build-Depends on intltool

 -- Jeremy Bicha <email address hidden>  Sat, 29 Dec 2018 09:39:11 -0500

Available diffs

Superseded in disco-release on 2018-12-30
Deleted in disco-proposed on 2018-12-31 (Reason: moved to release)
libsecret (0.18.6-4) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Run dh_auto_test instead of make check
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <email address hidden>  Fri, 28 Dec 2018 08:56:05 -0500

Available diffs

Superseded in disco-release on 2018-12-29
Published in cosmic-release on 2018-10-01
Deleted in cosmic-proposed (Reason: moved to release)
libsecret (0.18.6-3) unstable; urgency=medium

  * Don't Build-Depend on gjs on s390x and stop running js tests there
    in preparation for removing gjs on s390x (#909536) (LP: #1794721)

 -- Jeremy Bicha <email address hidden>  Thu, 27 Sep 2018 14:46:00 -0400

Available diffs

Superseded in cosmic-release on 2018-10-01
Deleted in cosmic-proposed on 2018-10-02 (Reason: moved to release)
libsecret (0.18.6-2) unstable; urgency=medium

  * debian/rules: fix logic error in nocheck handling (Closes: #897596)
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <email address hidden>  Thu, 03 May 2018 08:29:15 -0400

Available diffs

Superseded in cosmic-release on 2018-05-05
Published in bionic-release on 2018-03-31
Deleted in bionic-proposed (Reason: moved to release)
libsecret (0.18.6-1) unstable; urgency=medium

  * New upstream release
  * debian/patches: Drop patches included in new release
  * debian/libsecret-1-0.symbols: update for new symbols

 -- Tim Lunn <email address hidden>  Sat, 31 Mar 2018 16:43:19 +1100

Available diffs

Superseded in bionic-release on 2018-03-31
Deleted in bionic-proposed on 2018-04-01 (Reason: moved to release)
libsecret (0.18.5-6) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Drop autopkgtest that only rebuilds and re-runs the build tests
    we already run during build

 -- Jeremy Bicha <email address hidden>  Wed, 31 Jan 2018 14:28:23 -0500
Superseded in bionic-proposed on 2018-01-31
libsecret (0.18.5-5) unstable; urgency=medium

  * debian/rules:
    - Don't run Python and Vala tests on Ubuntu's s390x since
      they hang on Launchpad's builders
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11

 -- Jeremy Bicha <email address hidden>  Tue, 19 Dec 2017 17:36:24 -0500
Superseded in bionic-release on 2018-02-01
Published in artful-release on 2017-08-31
Deleted in artful-proposed (Reason: moved to release)
libsecret (0.18.5-3.1ubuntu2) artful; urgency=medium

  * Don't run gjs tests on s390x since gjs isn't built there.

 -- Jeremy Bicha <email address hidden>  Sat, 26 Aug 2017 08:43:12 -0400
Superseded in artful-release on 2017-08-31
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
libsecret (0.18.5-3.1ubuntu1) zesty; urgency=medium

  * Merge with Debian. Remaining change:
    - debian/rules:
      - Don't run Python and Vala tests on s390x
        (since they hang on Launchpad's builders)

Superseded in zesty-release on 2017-03-24
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
libsecret (0.18.5-2ubuntu2) yakkety; urgency=medium

  * autopkgtest: Don't try to blacklist s390x; the upstream tests
    have already been patched to have s390x skip the tests it hangs on

 -- Jeremy Bicha <email address hidden>  Mon, 05 Sep 2016 16:28:15 -0400
Superseded in yakkety-proposed on 2016-09-05
libsecret (0.18.5-2ubuntu1) yakkety; urgency=medium

  * Re-disable python and vala tests on s390x since they hang on the
    Launchpad builders
  * Add basic autopkgtest to run upstream tests

 -- Jeremy Bicha <email address hidden>  Mon, 05 Sep 2016 00:16:31 -0400
Superseded in yakkety-proposed on 2016-09-05
libsecret (0.18.5-2) unstable; urgency=medium

  * Drop --disable-silent-rules from debian/rules. This is now handled by dh
    directly depending on whether the DH_QUIET environment variable is set.
  * Compile vala unstable tests with SECRET_WITH_UNSTABLE=1.
    Without this the generated C code compiles without the correct header
    (warnings are disabled so this is not obvious). This was causing the test
    to crash. (Closes: #821347)

 -- Michael Biebl <email address hidden>  Sun, 04 Sep 2016 12:16:44 +0200
Superseded in yakkety-release on 2016-09-06
Deleted in yakkety-proposed on 2016-09-07 (Reason: moved to release)
libsecret (0.18.5-1ubuntu2) yakkety; urgency=medium

  * debian/patches/vala_test_crash.patch:
    - Fix crash running tests

 -- Robert Ancell <email address hidden>  Mon, 30 May 2016 12:23:32 +1200
Superseded in yakkety-proposed on 2016-05-30
libsecret (0.18.5-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian, remaining Ubuntu changes:
  * debian/control:
    - Don't build-depend on gjs
  * debian/rules:
    - Don't run Python and Vala tests on s390x
  * debian/patches/dont_use_gjs.patch:
    - Don't use gjs

 -- Robert Ancell <email address hidden>  Thu, 12 May 2016 15:56:00 +1200
Superseded in yakkety-release on 2016-05-30
Published in xenial-release on 2016-04-17
Deleted in xenial-proposed (Reason: moved to release)
libsecret (0.18.4-1ubuntu2) xenial; urgency=medium

  * Don't run the python and vala tests on s390x, hanging. In 0.18.3,
    these all failed to run due to dbus/mock failures.

 -- Matthias Klose <email address hidden>  Sun, 17 Apr 2016 18:59:56 +0200
Superseded in xenial-proposed on 2016-04-17
libsecret (0.18.4-1ubuntu1) xenial; urgency=medium

  * debian/control.in,
    debian/patches/dont_use_gjs.patch:
    - don't build-depends on gjs it's in universe

 -- Sebastien Bacher <email address hidden>  Wed, 10 Feb 2016 09:59:28 +0100
Superseded in xenial-proposed on 2016-02-10
libsecret (0.18.4-1) unstable; urgency=medium

  * New upstream release.
  * Run test suite during build
    - Add Build-Depends on dbus on gjs.
    - Use dbus-run-session to run the test suite as some of the tests require
      a D-Bus session.
    - Unset LD_PRELOAD when running the test suite as most tests fail when run
      under fakeroot.

 -- Michael Biebl <email address hidden>  Mon, 25 Jan 2016 01:05:58 +0100
Superseded in xenial-release on 2016-04-17
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
libsecret (0.18.3-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <email address hidden>  Thu, 06 Aug 2015 15:58:33 +0200

Available diffs

Superseded in wily-release on 2015-08-07
Deleted in wily-proposed on 2015-08-08 (Reason: moved to release)
libsecret (0.18.2-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Bump gtk-doc-tools build-dep to >= 1.9

  [ Iain Lane ]
  * Lower Breaks version to seahorse (<< 3.10), as the API port happened in
    this version.

  [ Michael Biebl ]
  * New upstream release.
  * Install typelib files into multiarch paths.
  * Mark gir and dev packages as Multi-Arch: same.
  * Update Homepage: URL.
  * Bump Standards-Version to 3.9.6. No further changes.
  * Fix invalid short name for BSD license in debian/copyright.

 -- Michael Biebl <email address hidden>  Wed, 20 May 2015 01:22:33 +0200
Superseded in wily-release on 2015-05-26
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
libsecret (0.18-1ubuntu2) vivid; urgency=medium

  * No change rebuild to get debug symbols on all architectures.
 -- Brian Murray <email address hidden>   Thu, 13 Nov 2014 10:45:18 -0800

Available diffs

Superseded in vivid-release on 2014-11-14
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
libsecret (0.18-1ubuntu1) utopic; urgency=medium

  * Resynchronise with Debian
  * Lower seahorse Breaks version to << 3.10, as the API break was fixed in
    this version.

Available diffs

Superseded in utopic-release on 2014-05-20
Published in trusty-release on 2013-12-16
Deleted in trusty-proposed (Reason: moved to release)
libsecret (0.16-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - Clarify documentation for secret_service_clear_xxx()
    - Pass return_type to prompt async begin functions, rather than finish
    - Simpler way to use custom service/collection/item types
    - service: Rename secret_service_new() and friends to xxx_open()
    - Add secret_value_get_text() function to return NULL terminated secret
    - Fix return types in secret_service_search_finish() on error paths
    - Testing fixes
    - Build fixes
    - Updated translations
  * debian/libsecret-1-0.symbols:
    - Updated
    - Note that some symbols were removed, but these were in the part of the
      library marked unstable. This affects only seahorse according to the
      author
 -- Robert Ancell <email address hidden>   Mon, 16 Dec 2013 17:19:36 +1300

Available diffs

Superseded in trusty-release on 2013-12-16
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
libsecret (0.15-2ubuntu1) saucy; urgency=low

  * Sync with Debian. Remaining changes:
    - Use dbus-test-runner for tests
    - debian/rules:
      + Build with --disable-silent-rules for a useful build log
 -- Jeremy Bicha <email address hidden>   Sun, 26 May 2013 20:47:13 -0400

Available diffs

Superseded in saucy-release on 2013-06-12
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
libsecret (0.15-0ubuntu1) raring; urgency=low

  * New upstream version
 -- Sebastien Bacher <email address hidden>   Tue, 19 Mar 2013 11:15:43 +0100

Available diffs

Superseded in raring-release on 2013-03-19
Deleted in raring-proposed on 2013-03-20 (Reason: moved to release)
libsecret (0.14-0ubuntu1) raring; urgency=low

  * New upstream release
    + Add a 'search' command to the tool for looking up items
    + Try to unlock locked collection when storing an item
    + Improve validation of the attributes table
    + Allow empty SecretValue contents
    + Introspection fixes
  * Build with --disable-silent-rules for a useful build log
 -- Iain Lane <email address hidden>   Thu, 07 Mar 2013 11:52:24 +0000

Available diffs

Superseded in raring-release on 2013-03-07
Deleted in raring-proposed on 2013-03-08 (Reason: moved to release)
libsecret (0.13-0ubuntu1) raring; urgency=low

  * New upstream version
 -- Sebastien Bacher <email address hidden>   Fri, 08 Feb 2013 11:52:24 +0100

Available diffs

Superseded in raring-release on 2013-02-08
Deleted in raring-proposed on 2013-02-09 (Reason: moved to release)
libsecret (0.12-0ubuntu1) raring; urgency=low

  * New upstream release
  * debian/libsecret-1-0.symbols:
    - Updated
 -- Robert Ancell <email address hidden>   Thu, 22 Nov 2012 11:52:24 +1300

Available diffs

Superseded in raring-release on 2012-11-22
Deleted in raring-proposed on 2012-11-23 (Reason: moved to release)
libsecret (0.11-0ubuntu2) raring; urgency=medium

  * debian/control:
    - Add multiarch annotations and pre-depends (LP: #1073269)
 -- Rico Tzschichholz <email address hidden>   Tue, 30 Oct 2012 17:44:47 +0100

Available diffs

Obsolete in quantal-updates on 2015-04-24
Deleted in quantal-proposed on 2015-05-01 (Reason: moved to -updates)
libsecret (0.11-0ubuntu0.12.10.1) quantal-proposed; urgency=low

  * New upstream release to fix segfault in vinagre from using an invalid
    attribute. (LP: #1071055)
 -- Marc Deslauriers <email address hidden>   Wed, 31 Oct 2012 10:18:13 +0100
Superseded in raring-release on 2012-11-09
Deleted in raring-proposed on 2012-11-10 (Reason: moved to release)
libsecret (0.11-0ubuntu1) raring; urgency=low

  * New upstream release to fix segfault in vinagre from using an invalid
    attribute. (LP: #1071055)
 -- Marc Deslauriers <email address hidden>   Wed, 31 Oct 2012 10:18:13 +0100

Available diffs

Superseded in raring-release on 2012-10-31
Obsolete in quantal-release on 2015-04-24
libsecret (0.10-0ubuntu1) quantal; urgency=low

  * New upstream release
 -- Didier Roche <email address hidden>   Tue, 18 Sep 2012 14:27:57 +0200

Available diffs

Superseded in quantal-release on 2012-09-18
libsecret (0.9-0ubuntu3) quantal; urgency=low

  * debian/control:
    - Build-depend on gtk-doc-tools instead of xsltproc
    - Don't explicitly build-depend on gir1.2-glib-2.0
    - Add homepage
  * debian/libsecret-1-dev.install: Install vapi files
 -- Jeremy Bicha <email address hidden>   Thu, 23 Aug 2012 00:05:09 -0400

Available diffs

Superseded in quantal-release on 2012-08-23
libsecret (0.9-0ubuntu2) quantal; urgency=low

  * debian/control: Build-Depends on xsltproc
 -- Sebastien Bacher <email address hidden>   Mon, 20 Aug 2012 18:24:52 +0200

Available diffs

Superseded in quantal-release on 2012-08-20
libsecret (0.9-0ubuntu1) quantal; urgency=low

  * New upstream version
  * debian/libsecret-tools.install:
    - install the manpage
  * debian/patches/copying-test.patch:
    - dropped, the fix is in the new version
  * debian/patches/git_test_issue.patch:
    - dropped, the fix is in the new version
 -- Sebastien Bacher <email address hidden>   Mon, 20 Aug 2012 17:32:50 +0200

Available diffs

Superseded in quantal-release on 2012-08-20
Superseded in quantal-release on 2012-08-08
libsecret (0.8-0ubuntu2) quantal; urgency=low

  * debian/control:
    - Build-Depends on dbus-test-runner, python-dbus, python-gobject
  * debian/patches/dont_run_gjs_tests.patch:
    - don't run gjs tests since gjs is in universe
  * debian/rules:
    - enable tests but don't fail build on issues yet, there are issues
      when running them under fakeroot for example (dbus doesn't like it)
  * debian/copyright: drop reference to common-license BSD
    (lintian warning)
 -- Sebastien Bacher <email address hidden>   Tue, 07 Aug 2012 16:43:10 +0200

Available diffs

Superseded in quantal-release on 2012-08-07
libsecret (0.8-0ubuntu1) quantal; urgency=low

  * New upstream version
  * Install libsecret-unstable dev files as well
  * debian/control:
    - updated some descriptions
  * debian/copyright:
    - updated
  * debian/libsecret-1-dev.install:
    - install the documentation
  * debian/libsecret-1-0.symbols:
    - updated for the new version
  * debian/patches/git_test_issue.patch:
    - git patch to fix a testsuite issue
  * debian/patches/copying-test.patch:
    - include COPYING.TESTS in the source (issue fixed in git)
  * debian/rules:
    - update test target but keep it commented, the dbus tests refuse
      to work during the package build (but works fine run manually)
    - clean files that are not shipped in binaries for --list-missing
    - override dh_install with --list-missing
    - use gir helper so Depends are right
 -- Sebastien Bacher <email address hidden>   Mon, 06 Aug 2012 11:49:10 +0200

Available diffs

Superseded in quantal-release on 2012-08-06
libsecret (0.7-0ubuntu1) quantal; urgency=low

  * Initial Release. (LP: #1018630)
 -- Robert Ancell <email address hidden>   Sat, 28 Jul 2012 17:51:13 +0200
138 of 38 results